//
//  FormController.m
//  FormExample
//
//  Created by Jaymie Strecker on 3/31/11.
//  Copyright 2011 Kosada, Inc. All rights reserved.
//

#import "FormController.h"


// Private properties
@interface FormController ()
@property (nonatomic, retain) NSArray *cells; 
@end


@implementation FormController

@synthesize phaseCell, heisenCell, phaseSlider, heisenSwitch, cells; 

- (void)viewDidLoad 
{
    [super viewDidLoad];
	
	self.cells = [NSArray arrayWithObjects:phaseCell, heisenCell, nil]; 
	for (UITableViewCell *cell in cells)
		cell.selectionStyle = UITableViewCellSelectionStyleNone; 
}

- (void)dealloc 
{
	[phaseCell release]; 
	[heisenCell release]; 
	[phaseSlider release]; 
	[heisenSwitch release]; 
	[cells release]; 
    [super dealloc];
}


#pragma mark -
#pragma mark Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView 
{
    return 1; 
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section 
{
	return [cells count]; 
}

- (UITableViewCell *)tableView:(UITableView *)aTableView cellForRowAtIndexPath:(NSIndexPath *)indexPath 
{    
	return [cells objectAtIndex:indexPath.row]; 
}


#pragma mark -
#pragma mark Table view delegate

- (CGFloat)tableView:(UITableView *)aTableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
	UITableViewCell *cell = [cells objectAtIndex:indexPath.row]; 
	return cell.bounds.size.height;  // use the height set in IB
}


#pragma mark -
#pragma mark OK button

- (IBAction)done:(id)sender
{
	NSString *phaseMsg = [NSString stringWithFormat:@"Adjust phase variance to %f", phaseSlider.value]; 
	NSString *heisenMsg = (heisenSwitch.on ? @"compensate" : @"create a diversion"); 
	NSString *msg = [NSString stringWithFormat:@"%@, then %@.", phaseMsg, heisenMsg]; 

	UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Captain's Orders"
													message:msg
												   delegate:nil 
										  cancelButtonTitle:@"OK" 
										  otherButtonTitles:nil]; 
	[alert show]; 
	[alert release]; 
}


@end
